I updated Brave and the new version is not compatible with my OS

I was using Brave tonight and it asked me to download the newest update, which I did, and immediately after it downloaded, it said that it is not compatible with my OS (Yosemite 10.10.1). I deleted the version and re-installed the old version for Intel versions, but it gave the same message so I’m stuck. I’m not sure what to do next.

edit: there’s also like 5 threads of the same topic if you want search and see if they have anything to add…

I just want the old Brave browser, how can I do that? Also, how do I search for the other five threads. I tried searching “update” and nothing showed up for this issue

To search, click the magnifying glass and search for yosemite (https://community.brave.com/search?q=yosemite)

2 Likes